Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class EditMondrianXmlaSourceAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.EditMondrianXmlaSourceAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class EditMondrianXmlaSourceAction

extends org.springframework.webflow.action.FormAction

The EditMondrianXmlaSourceAction class provides action methods for the mondrianXmlaSourceFlow web flow

Author:
  jshih

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`EditMondrianXmlaSourceAction()` initialize EditMondrianXmlaSourceAction.class object

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)` createFormObject initializes form object
`OlapConnectionService` | `getConnectionService()` getConnectionService returns connection service
`RepositoryService` | `getRepository()` getRepository returns repository service property
`void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)` initBinder initializes binder object
`org.springframework.webflow.execution.Event` | `saveMondrianXmlaSource(org.springframework.webflow.execution.RequestContext context)` saveMondrianXmlaSource saves mondrian xmla source definitions.
`void` | `setConnectionService(OlapConnectionService connectionService)` setConnectionService sets connection service property
`void` | `setRepository(RepositoryService repository)` setRepository sets repository service property
`org.springframework.webflow.execution.Event` | `setupEditForm(org.springframework.webflow.execution.RequestContext context)` setupEditForm set the form object

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    public final org.apache.commons.logging.Log log

Constructor Detail

### EditMondrianXmlaSourceAction

    public EditMondrianXmlaSourceAction()

  initialize EditMondrianXmlaSourceAction.class object

Method Detail

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  createFormObject initializes form object

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`
  Parameters:
    `context` -
  Returns:
    wrapper

### saveMondrianXmlaSource

    public org.springframework.webflow.execution.Event saveMondrianXmlaSource(org.springframework.webflow.execution.RequestContext context)
                                                                       throws java.lang.Exception

  saveMondrianXmlaSource saves mondrian xmla source definitions.

  Parameters:
    `context` -
  Returns:
    success() if valid, otherwise error()
  Throws:
    `java.lang.Exception`

### getRepository

    public RepositoryService getRepository()

  getRepository returns repository service property

  Returns:
    repository

### setRepository

    public void setRepository(RepositoryService repository)

  setRepository sets repository service property

  Parameters:
    `repository` -

### getConnectionService

    public OlapConnectionService getConnectionService()

  getConnectionService returns connection service

  Returns:
    connectionService

### setConnectionService

    public void setConnectionService(OlapConnectionService connectionService)

  setConnectionService sets connection service property

  Parameters:
    `connectionService` -

### initBinder

    public void initBinder(org.springframework.webflow.execution.RequestContext context,
                           org.springframework.validation.DataBinder binder)

  initBinder initializes binder object

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`
  Parameters:
    `context` -
    `binder` -

### setupEditForm

    public org.springframework.webflow.execution.Event setupEditForm(org.springframework.webflow.execution.RequestContext context)
                                                              throws java.lang.Exception

  setupEditForm set the form object

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.